= nng_pipe_dialer(3)
//
// Copyright 2018 Staysail Systems, Inc. <info@staysail.tech>
// Copyright 2018 Capitar IT Group BV <info@capitar.com>
//
// This document is supplied under the terms of the MIT License, a
// copy of which should be located in the distribution where this
// file was obtained (LICENSE.txt).  A copy of the license may also be
// found online at https://opensource.org/licenses/MIT.
//

== NAME

nng_pipe_dialer - return dialer that created pipe

== SYNOPSIS

[source, c]
----
#include <nng/nng.h>

nng_dialer nng_pipe_dialer(nng_pipe p);
----

== DESCRIPTION

The `nng_pipe_dialer()` function returns the xref:nng_dialer.5.adoc[`nng_dialer`]
that created the pipe _p_.
If the pipe was not created by a dialer, then the returned value will
have an identifier (xref:nng_dialer_id.3.adoc[`nng_dialer_id()`]) of `-1`.

== RETURN VALUES

This function returns the dialer that created the pipe, unless it was
not created by a dialer, in which case a value initialized with
`NNG_DIALER_INITIALIZER` will be returned.

== ERRORS

None.

== SEE ALSO

[.text-left]
xref:nng_pipe.5.adoc[nng_pipe(5)],
xref:nng_dialer.5.adoc[nng_dialer(5)],
xref:nng.7.adoc[nng(7)]
